package com.cybozu.garoon3.address;

import java.util.ArrayList;
import java.util.List;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import com.cybozu.garoon3.common.APIType;
import com.cybozu.garoon3.common.Action;

/**
 * 個人アドレス帳を取得します。
 * 
 * @author $api_author Garoon Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public class AddressGetPersonalBookVersions implements Action
{
	private List< Version > versions = new ArrayList<Version>();
	
	/**
	 * バージョン情報を追加します。
	 * 
	 * @param id アドレスID
	 * @param timestamp タイムスタンプ
	 */
	public void addVersion(long id, long timestamp)
	{
		Version v = new Version();
		v.id = id;
		v.timestamp = timestamp;
		
		versions.add( v );
	}
	
	@Override
	public APIType getAPIType() {
		return APIType.ADDRESS;
	}

	@Override
	public String getActionName() {
		return "AddressGetPersonalBookVersions";
	}

	@Override
	public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);

        for( Version v : versions )
        {
        	OMElement book = omFactory.createOMElement("book_item", null);
        	book.addAttribute("id", String.valueOf( v.id ), null);
        	book.addAttribute("version", String.valueOf( v.timestamp ), null);
        	parameters.addChild( book );
        }
		return parameters;
	}
	
	private class Version
	{
		long id;
		long timestamp;
	}
}