/**
 * 
 */
package com.cybozu.garoon3.address;

import java.util.ArrayList;
import java.util.List;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import com.cybozu.garoon3.common.APIType;
import com.cybozu.garoon3.common.Action;

/**
 * ユーザID によるアドレスカードを取得するクラス
 * 
 * @author $api_author Garoon Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public class AddressGetPersonalBooksById implements Action {
    private List<Integer> bookIdList = new ArrayList<Integer>();
    
    /**
     * 取得したいアドレス帳のIDを追加します。
     * 
     * @param bookId アドレス帳のID
     */
    public void addBookId(int bookId){
        bookIdList.add(bookId);
    }

    @Override
    public String getActionName() {
        return "AddressGetPersonalBooksById";
    }

    @Override
    public APIType getAPIType() {
        return APIType.ADDRESS;
    }

    @Override
    public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);

        for (Integer bookId : this.bookIdList) {
            OMElement card = omFactory.createOMElement("book_id", null);
            card.setText( bookId.toString() );
            parameters.addChild(card);
        }

        return parameters;
    }

}
