/**
 * 
 */
package com.cybozu.garoon3.address;

import java.util.ArrayList;
import java.util.List;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import com.cybozu.garoon3.common.APIType;
import com.cybozu.garoon3.common.Action;

/**
 * 個人のアドレスカードを取得するクラス。
 * 
 * @author $api_author Garoon Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public class AddressGetPersonalCardsById implements Action {
    private List<Integer> cardIdList = new ArrayList<Integer>();

    /**
     * 取得したいカードのID を追加します。
     * 
     * @param cardId
     */
    public void addCardId(int cardId){
        cardIdList.add(cardId);
    }

    @Override
    public String getActionName() {
        return "AddressGetPersonalCardsById";
    }

    @Override
    public APIType getAPIType() {
        return APIType.ADDRESS;
    }

    @Override
    public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);
        
        for (Integer cardId : this.cardIdList) {
            OMElement card = omFactory.createOMElement("card_id", null);
            card.setText( cardId.toString() );
            parameters.addChild(card);
        }

        return parameters;
    }

}
