/**
 * 
 */
package com.cybozu.garoon3.address;

import java.util.ArrayList;
import java.util.List;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axiom.om.OMNamespace;

import com.cybozu.garoon3.common.APIType;
import com.cybozu.garoon3.common.Action;

/**
 * 共有アドレス帳のアドレスカードを取得するクラス
 * 
 * @author $api_author Garoon Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public class AddressGetSharedCardsById implements Action {
    private List<Integer> cardIdList = new ArrayList<Integer>();
    private int bookId;

    /**
     * 取得したいアドレスカードのID を追加します。
     * 
     * @param cardId アドレスカードのID
     */
    public void addCardId(int cardId){
        cardIdList.add(cardId);
    }
    
    /**
     * アドレスカードのあるアドレス帳のID を指定します。
     * 
     * @param bookId アドレス帳のID
     */
    public void setBookId(int bookId){
        this.bookId = bookId;
    }

    @Override
    public String getActionName() {
        return "AddressGetSharedCardsById";
    }

    @Override
    public APIType getAPIType() {
        return APIType.ADDRESS;
    }

    @Override
    public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);
        
        OMNamespace nameSpace = omFactory.createOMNamespace("", "");
        parameters.addAttribute("book_id", String.valueOf( bookId ), nameSpace);

        for (Integer cardId : this.cardIdList) {
            OMElement card = omFactory.createOMElement("card_id", null);
            card.setText( cardId.toString() );
            parameters.addChild(card);
        }

        return parameters;
    }

}
