package com.cybozu.garoon3.message;

import java.util.ArrayList;
import java.util.List;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axis2.AxisFault;

import com.cybozu.garoon3.common.APIType;
import com.cybozu.garoon3.common.Action;
import com.cybozu.garoon3.common.CBServiceClient;

/**
 * メッセージを作成します。
 * 
 * @author $api_author Garoon Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public class MessageCreateThreads implements Action{
    private final List<Thread> createThreadList = new ArrayList<Thread>();

    /**
     * 作成するメッセージを追加します。
     * @param thread メッセージ
     */
    public void addThread(Thread thread){
        // Set dummy value to required parameter
        thread.addFolder(0);
        this.createThreadList.add(thread);
    }

    @Override
    public APIType getAPIType() {
        return APIType.MESSAGE;
    }

    @Override
    public String getActionName() {
        return "MessageCreateThreads";
    }

    @Override
    public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);

        for(Thread createThread : this.createThreadList){
            parameters.addChild(createThread.toOMElement("create_thread"));
        }

        return parameters;
    }

    /**
     * APIと通信してメッセージを作成し、レスポンスとして作成したメッセージIDを返します。
     * @param cbServiceClient APIクライアント
     * @return 作成したメッセージIDのリスト
     * @throws AxisFault
     */
    public List<Integer> sendReceive(CBServiceClient cbServiceClient) throws AxisFault{
        return MessageResponseUtil.getThreadIdList(cbServiceClient.sendReceive(this));
    }
}
