package com.cybozu.garoon3.message;

import java.util.ArrayList;
import java.util.List;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axis2.AxisFault;

import com.cybozu.garoon3.common.APIType;
import com.cybozu.garoon3.common.Action;
import com.cybozu.garoon3.common.CBServiceClient;

/**
 * メッセージをIDを指定して取得します。
 * 
 * @author $api_author Garoon Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public class MessageGetThreadsById implements Action{
    private final List<Integer> threadsIdList = new ArrayList<Integer>();

    /**
     * 取得するメッセージのIDを追加します。
     * @param id メッセージのID
     */
    public void addThreadId(int id){
        this.threadsIdList.add(id);
    }

    @Override
    public APIType getAPIType() {
        return APIType.MESSAGE;
    }

    @Override
    public String getActionName() {
        return "MessageGetThreadsById";
    }

    @Override
    public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);

        for (Integer id : this.threadsIdList) {
            OMElement card = omFactory.createOMElement("thread_id", null);
            card.setText( id.toString() );
            parameters.addChild(card);
        }

        return parameters;
    }

    /**
     * APIと通信してメッセージを作成し、レスポンスとして作成したメッセージ情報を返します。
     * @param cbServiceClient APIクライアント
     * @return メッセージ情報のList
     * @throws AxisFault
     */
    public List<ThreadType> sendReceive(CBServiceClient cbServiceClient) throws AxisFault{
        return MessageResponseUtil.getThreadList(cbServiceClient.sendReceive(this));
    }
}
