package com.cybozu.garoon3.message;

import java.util.ArrayList;
import java.util.List;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axis2.AxisFault;

import com.cybozu.garoon3.common.APIType;
import com.cybozu.garoon3.common.Action;
import com.cybozu.garoon3.common.CBServiceClient;

/**
 * メッセージを変更します。
 * 
 * @author $api_author Garoon Team@Cybozu$
 * @version $api_version ver 1.0.0$
 */
public class MessageModifyThreads implements Action{
    private final List<Thread> modifyThreadList = new ArrayList<Thread>();

    /**
     * 変更するメッセージを追加します。
     * @param thread メッセージ
     */
    public void addThread(Thread thread){
        // Set dummy value to required parameters
        thread.setConfirm(false);
        thread.addFolder(0);
        this.modifyThreadList.add(thread);
    }

    @Override
    public APIType getAPIType() {
        return APIType.MESSAGE;
    }

    @Override
    public String getActionName() {
        return "MessageModifyThreads";
    }

    @Override
    public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);

        for(Thread modifyThread : this.modifyThreadList){
            parameters.addChild(modifyThread.toOMElement("modify_thread"));
        }

        return parameters;
    }

    /**
     * APIと通信してメッセージを変更し、レスポンスとして変更したメッセージ情報を返します。
     * @param cbServiceClient APIクライアント
     * @return メッセージ情報のList
     * @throws AxisFault
     */
    public List<ThreadType> sendReceive(CBServiceClient cbServiceClient) throws AxisFault{
        return MessageResponseUtil.getThreadList(cbServiceClient.sendReceive(this));
    }
}
